You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
QA/runtests-jenkins.sh

44 lines
996 B

#!/bin/bash -x
if [ $# -eq 0 ]; then
echo "You should provide argument"
exit 1
fi
echo -e "\n[+] `date` -> CentOS QA $0 starting."
yum -d0 -y install bind-utils hostname
if [ "$?" -ne "0" ] ;then
echo "[+] ERROR : not even able to install bind-utils pkg so all t_functional tests will fail"
echo "[+] Do we have enabled repositories with correct GPG settings and signed pkgs ?"
exit 1
fi
host repo.centos.qa > /dev/null
export SKIP_QA_HARNESS=$?
LIB_FUNCTIONS='/tests/QA/tests/0_lib/functions.sh'
# Human friendly symbols
export readonly PASS=0
export readonly FAIL=1
# set debug level of yum install in t_InstallPackage
export YUMDEBUG=0
[ -f $LIB_FUNCTIONS ] && source $LIB_FUNCTIONS || { echo -e "\n[+] `date` -> Unable to source functions library. Cannot continue\n"; exit $FAIL; }
# case insensitive filename matching
shopt -s nocasematch
# exit as soon as any script returns a non-zero exit status
set -e
# exit on undefined variables
set -u
# Run test
$1
exit 0